# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global srcname graphics

Name:           ocaml-%{srcname}
Version:        5.1.2
Release:        %mkrel 2
Summary:        Portable drawing primitives for OCaml

Group:	Development/OCaml
License:        LGPLv2 with exceptions
URL:            https://github.com/ocaml/graphics
Source0:        %{url}/releases/download/%{version}/%{srcname}-%{version}.tbz

BuildRequires:  ocaml >= 4.09.0
BuildRequires:  ocaml-dune-devel >= 2.1
BuildRequires:  ocaml-odoc
BuildRequires:  ocaml-result-devel
BuildRequires:  pkgconfig(x11)

%description
The graphics library provides a set of portable drawing primitives.
Drawing takes place in a separate window that is created when
Graphics.open_graph is called.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(x11)

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{version}

%build
dune build %{?_smp_mflags} --display=verbose
dune build %{?_smp_mflags} @doc

# Relink the stublibs with $RPM_LD_FLAGS.
cd _build/default/src
ocamlmklib -g -ldopt '%{build_ldflags}' -o graphics_stubs \
  $(ar t libgraphics_stubs.a)
cd -

%install
dune install --destdir=%{buildroot}

# We do not want the dune markers
find _build/default/_doc/_html -name .dune-keep -delete

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%check
dune runtest

%files
%doc CHANGES.md README.md
%license LICENSE
%dir %{_libdir}/ocaml/%{srcname}/
%{_libdir}/ocaml/%{srcname}/META
%{_libdir}/ocaml/%{srcname}/*.cma
%{_libdir}/ocaml/%{srcname}/*.cmi
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{srcname}/*.cmxs
%endif
%{_libdir}/ocaml/stublibs/dllgraphics_stubs.so

%files devel
%doc _build/default/_doc/_html/* examples
%{_libdir}/ocaml/%{srcname}/dune-package
%{_libdir}/ocaml/%{srcname}/opam
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{srcname}/*.a
%{_libdir}/ocaml/%{srcname}/*.cmx
%{_libdir}/ocaml/%{srcname}/*.cmxa
%endif
%{_libdir}/ocaml/%{srcname}/*.cmt
%{_libdir}/ocaml/%{srcname}/*.cmti
%{_libdir}/ocaml/%{srcname}/*.mli



%changelog
* Sat May 21 2022 pterjan <pterjan> 5.1.2-2.mga9
+ Revision: 1859613
- Rebuild for OCaml 4.14

* Fri Oct 15 2021 tv <tv> 5.1.2-1.mga9
+ Revision: 1751652
- imported package ocaml-graphics

